package com.qmth.distributed.print.business.bean.params.analyze;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 分析维度模块评价参数
 * @Author: CaoZixuan
 * @Date: 2022-05-31
 */
public class GradeModuleEvaluationParam {
    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "模块评价详细信息集合")
    private List<GradeModuleEvaluationDatasource> gradeModuleEvaluationDatasourceList;

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public List<GradeModuleEvaluationDatasource> getGradeModuleEvaluationDatasourceList() {
        return gradeModuleEvaluationDatasourceList;
    }

    public void setGradeModuleEvaluationDatasourceList(List<GradeModuleEvaluationDatasource> gradeModuleEvaluationDatasourceList) {
        this.gradeModuleEvaluationDatasourceList = gradeModuleEvaluationDatasourceList;
    }
}
